import request from '@/utils/request'

/**
  * @description 商品列表
  */
export function storeListApi(id:any, data:any) {
  return request.get(`server/${id}/product/lst`, { params: data })
}

/**
  * @description 商品详情
  */
export function getAttrValue(id:any, data:any) {
  return request.get(`store/product/detail/${id}`, { params: data })
}

/**
  * @description 免审编辑
  */
export function userFreeTrialApi(id:any, data:any) {
  return request.post(`user_free_trial/${id}`, data)
}

/**
  * @description 商品状态分类数量
  */
export function productTitleApi(id:any, data:any) {
  return request.get(`server/${id}/product/title`, { params: data })
}

/**
  * @description 上下架
  */
export function productStatusApi(mer_id:any, id:any, data:any) {
  return request.post(`server/${mer_id}/product/status/${id}`, data)
}

/**
  * @description 平台分类
  */
export function categoryListApi(mer_id:any, data:any) {
  return request.get(`server/${mer_id}/category/list`, { params: data })
}

/**
  * @description 添加商品
  */
export function productCreateApi(mer_id:any, data:any) {
  return request.post(`server/${mer_id}/product/create`, data)
}

/**
  * @description 编辑商品
  */
export function productUpdateApi(mer_id:any, id:any, data:any) {
  return request.post(`server/${mer_id}/product/update/${id}`, data)
}

/**
  * @description 商品详情
  */
export function productDetailApi(mer_id:any, id:any, data:any) {
  return request.get(`server/${mer_id}/product/detail/${id}`, { params: data })
}
